aboutsummaryrefslogtreecommitdiffstats
path: root/copy.sh
diff options
context:
space:
mode:
authorJaKooLit <ejhay.games@gmail.com>2025-02-17 14:31:13 +0900
committerJaKooLit <ejhay.games@gmail.com>2025-02-17 14:31:13 +0900
commit3f18612ee8389cc6a74085dc4af20ec8b789dc98 (patch)
tree195549d4d771d589f594a9d2b698582ffb63c262 /copy.sh
parent5b76cfdac242b14989621f4dea775951a192f6b6 (diff)
updated wlogout logic and quick edit menu
Diffstat (limited to 'copy.sh')
-rwxr-xr-xcopy.sh27
1 files changed, 26 insertions, 1 deletions
diff --git a/copy.sh b/copy.sh
index 0127ce2a..5f3919c4 100755
--- a/copy.sh
+++ b/copy.sh
@@ -30,7 +30,30 @@ if [[ $EUID -eq 0 ]]; then
printf "\n%.0s" {1..2}
exit 1
fi
-
+
+# Function to print colorful text
+print_color() {
+ printf "%b%s%b\n" "$1" "$2" "$CLEAR"
+}
+
+# Check if dpkg is installed (use to check if Debian or Ubuntu or based distros)
+if command -v dpkg &> /dev/null; then
+ printf "\n%.0s" {1..1}
+ print_color $WARNING "
+ █▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀█
+ KOOL DOTS version INCOMPATIBLE
+ █▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄█
+
+ Debian / Ubuntu detected. Refer to Hyprland-Dots README
+ For instruction on how to update your KooL Hyprland Dots
+
+ exiting ....
+ "
+ printf "\n%.0s" {1..3}
+ exit 1
+fi
+
+
printf "\n%.0s" {1..1}
echo -e "\e[35m
╦╔═┌─┐┌─┐╦ ╔╦╗┌─┐┌┬┐┌─┐
@@ -143,6 +166,7 @@ You need to set it Manually
Setting a wrong Keyboard Layout will cause Hyprland to crash
If you are not sure, just type ${YELLOW}us${RESET}
+${SKYBLUE}You can change later in ~/.config/hypr/UserConfigs/UserSettings.conf${RESET}
${MAGENTA} NOTE:${RESET}
• You can also set more than 2 keyboard layouts
@@ -190,6 +214,7 @@ You need to set it Manually
Setting a wrong Keyboard Layout will cause Hyprland to crash
If you are not sure, just type ${YELLOW}us${RESET}
+${SKYBLUE}You can change later in ~/.config/hypr/UserConfigs/UserSettings.conf${RESET}
${MAGENTA} NOTE:${RESET}
• You can also set more than 2 keyboard layouts
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage